Bug 1326 - strace hangs while tracing some programs
: strace hangs while tracing some programs
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/strace)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-09-29 13:54 by
Modified: 2003-08-25 15:18 (History)


Attachments
0001326-void.java (148 bytes, application/octet-stream)
2002-10-26 19:56, imz
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-09-29 13:54:26
For example, mozilla or some emacs packages build.
This applies to strace-4.4-alt3, strace-4.4-alt1 doesn\'t hang.

---
strace -fF mozilla

The tail of the output is:

[pid 10083] read(11, \"\\0skin/modern/communicator/help.c\"..., 4038) = 571
[pid 10083] read(11, \"\", 594)           = 0
[pid 10083] lseek(11, 230743, SEEK_SET) = 230743
[pid 10083] read(11, \"PK\\3\\4\\24\\0\\0\\0\\10\\0%\\241\\261,\\10nY\\365\\322\\6\\0\\0\\4\\33\"..., 30) = 30
[pid 10083] lseek(11, 230827, SEEK_SET) = 230827
[pid 10083] gettimeofday({1033292436, 684441}, NULL) = 0
[pid 10083] kill(10119, SIGRTMIN <unfinished ...>
[pid 10119] <... nanosleep resumed> 0)  = -1 EINTR (Interrupted system call)
[pid 10083] <... kill resumed> )        = 0
[pid 10119] --- SIGRTMIN (Real-time signal 0) @ 0 (0) ---


---
<a href="http://www.altlinux.ru/pipermail/devel/2002-July/008599.html">http://www.altlinux.ru/pipermail/devel/2002-July/008599.html</a>
------- Comment #1 From 2002-10-26 20:00:22 -------
Uploaded testcase (for gcj):

class HelloWorld {
    public static void main (String args[]) {}
}

$ gcj test.java --main=HelloWorld -o test
$ strace -fF ./test
------- Comment #2 From 2002-10-26 20:00:22 -------
Uploaded testcase (for gcj):

class HelloWorld {
    public static void main (String args[]) {}
}

$ gcj test.java --main=HelloWorld -o test
$ strace -fF ./test
------- Comment #3 From 2002-10-29 01:52:35 -------
Rebuilding the following pkgs (buildreq x.spec &amp;&gt;err) hangs:

emacs-mode-auctex-11.11-alt4
apt-0.5-0.5.4cnc9-alt0.1
------- Comment #4 From 2002-10-29 01:52:35 -------
Rebuilding the following pkgs (buildreq x.spec &amp;&gt;err) hangs:

emacs-mode-auctex-11.11-alt4
apt-0.5-0.5.4cnc9-alt0.1
------- Comment #5 From 2002-11-01 19:52:54 -------
Fixed in strace-4.4-alt4
------- Comment #6 From 2002-11-01 19:52:54 -------
Fixed in strace-4.4-alt4